# Spielleitung
Date: 2012-12-22

## Class Spielleitung

- java.lang.Object
- - Spielleitung

    public class Spielleitung
    extends java.lang.Object

Spielleitung für das Kartenspiel BlackJack. Der Spielleiter verwaltet Referenzen auf die Spieler. Außerdem wird automatisch ein Dealer erzeugt. Blackjack wird mit 6 Kartenblättern gespielt, die komplett gemischt werden. Wenn mehr als 250 Karten verbraucht wurden, kommen alle Karten wieder ins Spiel.

Version:
  1.0 vom 20.06.2012
Author:
  Thomas Schaller

### Constructor Summary

Constructors
Constructor and Description
`Spielleitung()`

### Method Summary

Methods
`void` `addSpieler(Spieler s)` Meldet Spieler bei der Spielleitung an.
`void` `auswerten()` Wertet eine Runde aus.
`Spieler` `getCroupier()` Liefert eine Referenz auf den Croupier
`Karte` `getKarte()` Zieht eine Karte vom Kartenstapel.
`Spieler` `getSpieler(int nr)` Liefert eine Refernz auf einen Spieler
`void` `neueRunde()` Eine neue Runde wird gestartet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Spielleitung

    public Spielleitung()

### Method Detail

#### addSpieler

    public void addSpieler(Spieler s)

Meldet Spieler bei der Spielleitung an. Der Spieler wird über die Spielleitung informiert.

Parameters:
  `s` - Spieler, der am Spiel teilnehmen möchte.

#### auswerten

    public void auswerten()

Wertet eine Runde aus. Dazu bekommt der Dealer seine Karte. Er zieht so lange Karten bis er mindestens 17 Punkte erreicht hat. Danach wird ermittelt, welche Spieler gewonnen haben. Die Spieler werden über Gewinn oder Niederlage informiert.

#### getKarte

    public Karte getKarte()

Zieht eine Karte vom Kartenstapel.

Returns:
  Referenz auf die gezogene Karte

#### getCroupier

    public Spieler getCroupier()

Liefert eine Referenz auf den Croupier

Returns:
  Referenz auf den Croupier

#### getSpieler

    public Spieler getSpieler(int nr)

Liefert eine Refernz auf einen Spieler

Parameters:
  `nr` - Nummer des Spielers (1-n)
Returns:
  Referenz auf nr. Spieler

#### neueRunde

    public void neueRunde()

Eine neue Runde wird gestartet. Alle Spieler werden über die neue Runde informiert (die alten Kartenhände werden gelöscht) und kontrolliert, ob noch genügend Karten auf dem Stapel sind.